extends Node2D
class_name Star
@onready var label = $Label
@export var star_name: String = ""
@export var planet_count: int = 0
var planets: Array = []
var texture: Texture2D

func _ready():
	print("Gwiazda %s z %d planetami" % [star_name, planet_count])
	label.text = star_name
